security/ruby-bcrypt - The NetBSD Packages Collection

OpenBSD's bcrypt() password hashing algorithm for Ruby

bcrypt() is a sophisticated and secure hash algorithm designed by The OpenBSD
project for hashing passwords. bcrypt-ruby provides a simple, humane wrapper for
safely handling passwords.

= bcrypt-ruby

An easy way to keep your users' passwords secure.

* http://bcrypt-ruby.rubyforge.org/
* http://github.com/codahale/bcrypt-ruby/tree/master

== Why you should use bcrypt

If you store user passwords in the clear, then an attacker who steals a copy of
your database has a giant list of emails and passwords. Some of your users will
only have one password - for their email account, for their banking account, for
your application. A simple hack could escalate into massive identity theft.

It's your responsibility as a web developer to make your web application secure
- blaming your users for not being security experts is not a professional
response to risk.

bcrypt allows you to easily harden your application against these
kinds of attacks.

Build dependencies

pkgtools/cwrappers

Runtime dependencies

lang/ruby26-base

Available binary packages

aarch64:ruby25-bcrypt-3.1.13.tgz(NetBSD 9.0)
aarch64:ruby26-bcrypt-3.1.13.tgz(NetBSD 9.0)
aarch64:ruby27-bcrypt-3.1.13.tgz(NetBSD 9.0)
aarch64:ruby25-bcrypt-3.1.16.tgz(NetBSD 9.0)
aarch64:ruby26-bcrypt-3.1.16.tgz(NetBSD 9.0)
aarch64:ruby27-bcrypt-3.1.16.tgz(NetBSD 9.0)
aarch64:ruby25-bcrypt-3.1.16.tgz(NetBSD 9.0)
aarch64:ruby26-bcrypt-3.1.16.tgz(NetBSD 9.0)
aarch64:ruby27-bcrypt-3.1.16.tgz(NetBSD 9.0)
alpha:ruby25-bcrypt-3.1.16.tgz(NetBSD 9.0)
alpha:ruby26-bcrypt-3.1.16.tgz(NetBSD 9.0)
alpha:ruby27-bcrypt-3.1.16.tgz(NetBSD 9.0)
alpha:ruby25-bcrypt-3.1.13.tgz(NetBSD 9.0)
alpha:ruby26-bcrypt-3.1.13.tgz(NetBSD 9.0)
alpha:ruby27-bcrypt-3.1.13.tgz(NetBSD 9.0)
alpha:ruby25-bcrypt-3.1.16.tgz(NetBSD 9.0)
alpha:ruby26-bcrypt-3.1.16.tgz(NetBSD 9.0)
alpha:ruby27-bcrypt-3.1.16.tgz(NetBSD 9.0)
earm:ruby25-bcrypt-3.1.16.tgz(NetBSD 9.0)
earm:ruby26-bcrypt-3.1.16.tgz(NetBSD 9.0)
earm:ruby24-bcrypt-3.1.13.tgz(NetBSD 9.0)
earm:ruby25-bcrypt-3.1.13.tgz(NetBSD 9.0)
earm:ruby26-bcrypt-3.1.13.tgz(NetBSD 9.0)
earm:ruby27-bcrypt-3.1.13.tgz(NetBSD 9.0)
earmv6hf:ruby25-bcrypt-3.1.16.tgz(NetBSD 9.0)
earmv6hf:ruby26-bcrypt-3.1.16.tgz(NetBSD 9.0)
earmv6hf:ruby27-bcrypt-3.1.16.tgz(NetBSD 9.0)
earmv6hf:ruby25-bcrypt-3.1.13.tgz(NetBSD 9.0)
earmv6hf:ruby26-bcrypt-3.1.13.tgz(NetBSD 9.0)
earmv6hf:ruby27-bcrypt-3.1.13.tgz(NetBSD 9.0)
earmv6hf:ruby25-bcrypt-3.1.16.tgz(NetBSD 9.0)
earmv6hf:ruby26-bcrypt-3.1.16.tgz(NetBSD 9.0)
earmv6hf:ruby27-bcrypt-3.1.16.tgz(NetBSD 9.0)
earmv6hf:ruby25-bcrypt-3.1.16.tgz(NetBSD 9.0)
earmv6hf:ruby26-bcrypt-3.1.16.tgz(NetBSD 9.0)
earmv6hf:ruby27-bcrypt-3.1.16.tgz(NetBSD 9.0)
earmv7hf:ruby25-bcrypt-3.1.16.tgz(NetBSD 8.0)
earmv7hf:ruby26-bcrypt-3.1.16.tgz(NetBSD 8.0)
earmv7hf:ruby27-bcrypt-3.1.16.tgz(NetBSD 8.0)
earmv7hf:ruby24-bcrypt-3.1.13.tgz(NetBSD 8.0)
earmv7hf:ruby25-bcrypt-3.1.13.tgz(NetBSD 8.0)
earmv7hf:ruby26-bcrypt-3.1.13.tgz(NetBSD 8.0)
earmv7hf:ruby27-bcrypt-3.1.13.tgz(NetBSD 8.0)
earmv7hf:ruby25-bcrypt-3.1.13.tgz(NetBSD 8.0)
earmv7hf:ruby26-bcrypt-3.1.13.tgz(NetBSD 8.0)
earmv7hf:ruby27-bcrypt-3.1.13.tgz(NetBSD 8.0)
earmv7hf:ruby25-bcrypt-3.1.16.tgz(NetBSD 8.0)
earmv7hf:ruby26-bcrypt-3.1.16.tgz(NetBSD 8.0)
earmv7hf:ruby27-bcrypt-3.1.16.tgz(NetBSD 8.0)
earmv7hf:ruby25-bcrypt-3.1.16.tgz(NetBSD 9.0)
earmv7hf:ruby26-bcrypt-3.1.16.tgz(NetBSD 9.0)
earmv7hf:ruby27-bcrypt-3.1.16.tgz(NetBSD 9.0)
earmv7hf:ruby24-bcrypt-3.1.13.tgz(NetBSD 9.0)
earmv7hf:ruby25-bcrypt-3.1.13.tgz(NetBSD 9.0)
earmv7hf:ruby26-bcrypt-3.1.13.tgz(NetBSD 9.0)
earmv7hf:ruby27-bcrypt-3.1.13.tgz(NetBSD 9.0)
earmv7hf:ruby25-bcrypt-3.1.13.tgz(NetBSD 9.0)
earmv7hf:ruby26-bcrypt-3.1.13.tgz(NetBSD 9.0)
earmv7hf:ruby27-bcrypt-3.1.13.tgz(NetBSD 9.0)
earmv7hf:ruby25-bcrypt-3.1.16.tgz(NetBSD 9.0)
earmv7hf:ruby26-bcrypt-3.1.16.tgz(NetBSD 9.0)
earmv7hf:ruby27-bcrypt-3.1.16.tgz(NetBSD 9.0)
earmv7hf:ruby25-bcrypt-3.1.16.tgz(NetBSD 9.0)
earmv7hf:ruby26-bcrypt-3.1.16.tgz(NetBSD 9.0)
earmv7hf:ruby27-bcrypt-3.1.16.tgz(NetBSD 9.0)
i386:ruby25-bcrypt-3.1.13.tgz(NetBSD 8.0)
i386:ruby26-bcrypt-3.1.13.tgz(NetBSD 8.0)
i386:ruby27-bcrypt-3.1.13.tgz(NetBSD 8.0)
i386:ruby25-bcrypt-3.1.16.tgz(NetBSD 8.0)
i386:ruby26-bcrypt-3.1.16.tgz(NetBSD 8.0)
i386:ruby27-bcrypt-3.1.16.tgz(NetBSD 8.0)
i386:ruby25-bcrypt-3.1.16.tgz(NetBSD 8.0)
i386:ruby26-bcrypt-3.1.16.tgz(NetBSD 8.0)
i386:ruby27-bcrypt-3.1.16.tgz(NetBSD 8.0)
i386:ruby25-bcrypt-3.1.13.tgz(NetBSD 9.0)
i386:ruby26-bcrypt-3.1.13.tgz(NetBSD 9.0)
i386:ruby27-bcrypt-3.1.13.tgz(NetBSD 9.0)
i386:ruby25-bcrypt-3.1.16.tgz(NetBSD 9.0)
i386:ruby26-bcrypt-3.1.16.tgz(NetBSD 9.0)
i386:ruby27-bcrypt-3.1.16.tgz(NetBSD 9.0)
i386:ruby25-bcrypt-3.1.16.tgz(NetBSD 9.0)
i386:ruby26-bcrypt-3.1.16.tgz(NetBSD 9.0)
i386:ruby27-bcrypt-3.1.16.tgz(NetBSD 9.0)
mips64eb:ruby25-bcrypt-3.1.16.tgz(NetBSD 9.0)
mips64eb:ruby26-bcrypt-3.1.16.tgz(NetBSD 9.0)
mips64eb:ruby27-bcrypt-3.1.16.tgz(NetBSD 9.0)
mips64eb:ruby25-bcrypt-3.1.16.tgz(NetBSD 9.0)
mips64eb:ruby26-bcrypt-3.1.16.tgz(NetBSD 9.0)
mips64eb:ruby27-bcrypt-3.1.16.tgz(NetBSD 9.0)
powerpc:ruby25-bcrypt-3.1.16.tgz(NetBSD 8.0)
powerpc:ruby26-bcrypt-3.1.16.tgz(NetBSD 8.0)
powerpc:ruby27-bcrypt-3.1.16.tgz(NetBSD 8.0)
powerpc:ruby25-bcrypt-3.1.16.tgz(NetBSD 8.0)
powerpc:ruby26-bcrypt-3.1.16.tgz(NetBSD 8.0)
powerpc:ruby27-bcrypt-3.1.16.tgz(NetBSD 8.0)
powerpc:ruby25-bcrypt-3.1.16.tgz(NetBSD 9.0)
powerpc:ruby26-bcrypt-3.1.16.tgz(NetBSD 9.0)
powerpc:ruby27-bcrypt-3.1.16.tgz(NetBSD 9.0)
powerpc:ruby24-bcrypt-3.1.13.tgz(NetBSD 9.0)
powerpc:ruby25-bcrypt-3.1.13.tgz(NetBSD 9.0)
powerpc:ruby26-bcrypt-3.1.13.tgz(NetBSD 9.0)
powerpc:ruby27-bcrypt-3.1.13.tgz(NetBSD 9.0)
powerpc:ruby25-bcrypt-3.1.16.tgz(NetBSD 9.0)
powerpc:ruby26-bcrypt-3.1.16.tgz(NetBSD 9.0)
powerpc:ruby27-bcrypt-3.1.16.tgz(NetBSD 9.0)
sparc64:ruby25-bcrypt-3.1.16.tgz(NetBSD 9.0)
sparc64:ruby26-bcrypt-3.1.16.tgz(NetBSD 9.0)
sparc64:ruby27-bcrypt-3.1.16.tgz(NetBSD 9.0)
sparc64:ruby25-bcrypt-3.1.13.tgz(NetBSD 9.0)
sparc64:ruby26-bcrypt-3.1.13.tgz(NetBSD 9.0)
sparc64:ruby27-bcrypt-3.1.13.tgz(NetBSD 9.0)
sparc64:ruby25-bcrypt-3.1.16.tgz(NetBSD 9.0)
sparc64:ruby26-bcrypt-3.1.16.tgz(NetBSD 9.0)
sparc64:ruby27-bcrypt-3.1.16.tgz(NetBSD 9.0)
sparc:ruby25-bcrypt-3.1.16.tgz(NetBSD 9.0)
sparc:ruby25-bcrypt-3.1.13.tgz(NetBSD 9.0)
sparc:ruby25-bcrypt-3.1.16.tgz(NetBSD 9.0)
x86_64:ruby25-bcrypt-3.1.16.tgz(NetBSD 9.0)
x86_64:ruby26-bcrypt-3.1.16.tgz(NetBSD 9.0)
x86_64:ruby27-bcrypt-3.1.16.tgz(NetBSD 9.0)
x86_64:ruby25-bcrypt-3.1.16.tgz(NetBSD 9.0)
x86_64:ruby26-bcrypt-3.1.16.tgz(NetBSD 9.0)
x86_64:ruby27-bcrypt-3.1.16.tgz(NetBSD 9.0)
x86_64:ruby25-bcrypt-3.1.16.tgz(NetBSD 9.0)
x86_64:ruby26-bcrypt-3.1.16.tgz(NetBSD 9.0)
x86_64:ruby27-bcrypt-3.1.16.tgz(NetBSD 9.0)
x86_64:ruby25-bcrypt-3.1.16.tgz(NetBSD 9.0)
x86_64:ruby26-bcrypt-3.1.16.tgz(NetBSD 9.0)
x86_64:ruby27-bcrypt-3.1.16.tgz(NetBSD 9.0)
x86_64:ruby25-bcrypt-3.1.16.tgz(NetBSD 8.0)
x86_64:ruby26-bcrypt-3.1.16.tgz(NetBSD 8.0)
x86_64:ruby27-bcrypt-3.1.16.tgz(NetBSD 8.0)
x86_64:ruby25-bcrypt-3.1.13.tgz(NetBSD 8.0)
x86_64:ruby26-bcrypt-3.1.13.tgz(NetBSD 8.0)
x86_64:ruby27-bcrypt-3.1.13.tgz(NetBSD 8.0)
x86_64:ruby25-bcrypt-3.1.16.tgz(NetBSD 8.0)
x86_64:ruby26-bcrypt-3.1.16.tgz(NetBSD 8.0)
x86_64:ruby27-bcrypt-3.1.16.tgz(NetBSD 8.0)
x86_64:ruby25-bcrypt-3.1.13.tgz(NetBSD 9.0)
x86_64:ruby26-bcrypt-3.1.13.tgz(NetBSD 9.0)
x86_64:ruby27-bcrypt-3.1.13.tgz(NetBSD 9.0)
x86_64:ruby25-bcrypt-3.1.16.tgz(NetBSD 9.0)
x86_64:ruby26-bcrypt-3.1.16.tgz(NetBSD 9.0)
x86_64:ruby27-bcrypt-3.1.16.tgz(NetBSD 9.0)
x86_64:ruby25-bcrypt-3.1.16.tgz(NetBSD 9.0)
x86_64:ruby26-bcrypt-3.1.16.tgz(NetBSD 9.0)
x86_64:ruby27-bcrypt-3.1.16.tgz(NetBSD 9.0)
x86_64:ruby25-bcrypt-3.1.16.tgz(NetBSD 9.0)
x86_64:ruby26-bcrypt-3.1.16.tgz(NetBSD 9.0)
x86_64:ruby27-bcrypt-3.1.16.tgz(NetBSD 9.0)

Binary packages can be installed with pkgin or pkg_add(1). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.


[ Go up one level | Go to top of packages tree | List all packages ]